<?php
//










error_reporting(0);
ini_set("display_errors", 0 );
header('Content-Type: text/html; charset=utf-8');
ini_set('default_charset','UTF-8');
include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
include("seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
//REDIRECIONA USUARIO CASO CAMPO ESTEJA VAZIO
if($_SESSION['usuarioID'] == ""){

		echo"
		<script type=\"text/Javascript\">
		window.location = 'login.php';</script>";
		die;
	
}
protegePagina(); // Protege a página
//echo $_SESSION['cargo'];
//DIRECIONA CASO NÃO ESTEJA COM HTTPS
if( isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on' ) {
    // faço algo aqui
}else{
echo "<script>window.location='https://maxlayouts.minhaempresa.online/index.php'</script>";
}

//NÃO DEIXA MANTER LOGADO SEM FILIAL
if($_SESSION['idfilial_usuario'] == ""){
expulsaVisitante();
}

//TRAVA TEMPORARIAMENTE
if($_SESSION['usuarioID'] == "42"){
//echo "Processo de Atualização !";
//exit();

}

//NOME FILIAL

$SelecionaFilial = Seleciona("filiais", "WHERE idfilial='".$_SESSION['idfilial_usuario']."'", "LIMIT 0,1");
while($filial = mysql_fetch_array($SelecionaFilial)){
    $NomeFilial = $filial['nome'];
}



if($_SESSION['usuarioID'] == ""){
echo "<script>window.location='login.php'</script>";
}

//RECEBE PÁGINA
$recebepagina	= $_GET['pagina'];
$pagina			= RecebePagina($recebepagina);



?>
<html ng-app="myApp">
<head>
<title>MAX LAYOUTS</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link rel="stylesheet" href="inclusos/styles.css">
<link href="inclusos/css_precopratico.css" rel="stylesheet" type="text/css">

<script src="https://code.jquery.com/jquery-1.7.1.min.js" type="text/javascript"></script>

<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.1/themes/base/minified/jquery-ui.min.css" type="text/css" />
<script language='JavaScript'>
function SomenteNumero(e){
    var tecla=(window.event)?event.keyCode:e.which;   
    if((tecla>47 && tecla<58)) return true;
    else{
    	if (tecla==8 || tecla==0) return true;
	else  return false;
    }
}
</script>
<script type="text/javascript" src="https://code.jquery.com/ui/1.10.1/jquery-ui.min.js"></script> 
<script src="inclusos/script.js"></script>      


<script type="text/javascript" src="inclusos/jquery-ui-1.8.20.custom.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
            $(".datepicker").datepicker({
				minDate: 0,
                dateFormat: 'dd/mm/yy',
                dayNames: ['Domingo','Segunda','Terça','Quarta','Quinta','Sexta','Sábado','Domingo'],
                dayNamesMin: ['D','S','T','Q','Q','S','S','D'],
                dayNamesShort: ['Dom','Seg','Ter','Qua','Qui','Sex','Sáb','Dom'],
                monthNames: ['Janeiro','Fevereiro','Março','Abril','Maio','Junho','Julho','Agosto','Setembro','Outubro','Novembro','Dezembro'],
                monthNamesShort: ['Jan','Fev','Mar','Abr','Mai','Jun','Jul','Ago','Set','Out','Nov','Dez'],
                nextText: 'Próximo',
                prevText: 'Anterior'
            });
    });
</script>



     
        <style type="text/css">
.map{
    height:200px;
    border:1px solid #999 !important;
    -webkit-box-shadow: 0 0 5px #999 !important;
    -moz-box-shadow: 0 0 5px #999 !important;
    box-shadow: 0 0 5px #999 !important; 
    display: none;
}

@media print {
  body * {
    visibility: hidden;
	text-transform: uppercase;	
  }
  #printable, #printable * {
    visibility: visible;
  }
  #printable {
    /*position: fixed;*/
    left: 0;
    top: 0;
  }
  #ocultar_impressao{
	  display:none;
	  visibility:hidden;		  
  }
}
            
/*PRELOAD */
            
body {
  overflow: auto;
  text-transform: uppercase;
  font-size: 11px;
}
input {
	text-transform: uppercase;	
}


/* Preloader */

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  /* change if the mask should have another color then white */
  z-index: 99;
  /* makes sure it stays on top */
}

#status {
  width: 200px;
  height: 200px;
  position: absolute;
  left: 50%;
  /* centers the loading animation horizontally one the screen */
  top: 50%;
  /* centers the loading animation vertically one the screen */
  background-image: url(https://raw.githubusercontent.com/niklausgerber/PreLoadMe/master/img/status.gif);
  /* path to your loading animation */
  background-repeat: no-repeat;
  background-position: center;
  margin: -100px 0 0 -100px;
  /* is width and height divided by two */
}            
        </style> 
        
        


	<!-- Add mousewheel plugin (this is optional) -->
	<script type="text/javascript" src="js/lib/jquery.mousewheel-3.0.6.pack.js"></script>

	<!-- Add fancyBox main JS and CSS files -->
	<script type="text/javascript" src="js/source/jquery.fancybox.js?v=2.1.5"></script>
	<link rel="stylesheet" type="text/css" href="js/source/jquery.fancybox.css?v=2.1.5" media="screen" />

	<!-- Add Button helper (this is optional) -->
	<link rel="stylesheet" type="text/css" href="js/source/helpers/jquery.fancybox-buttons.css?v=1.0.5" />
	<script type="text/javascript" src="js/source/helpers/jquery.fancybox-buttons.js?v=1.0.5"></script>

	<!-- Add Thumbnail helper (this is optional) -->
	<link rel="stylesheet" type="text/css" href="js/source/helpers/jquery.fancybox-thumbs.css?v=1.0.7" />
	<script type="text/javascript" src="js/source/helpers/jquery.fancybox-thumbs.js?v=1.0.7"></script>

	<!-- Add Media helper (this is optional) -->
	<script type="text/javascript" src="js/source/helpers/jquery.fancybox-media.js?v=1.0.6"></script>

	<script type="text/javascript">
		$(document).ready(function() {
			/*
			 *  Simple image gallery. Uses default settings
			 */

			$('.fancybox').fancybox({	
			minHeight: 300,		
            width: '80%',
            height: '50%',
            autoScale: true,
            transitionIn: 'fade',
            transitionOut: 'fade',			
			afterClose  :function () {
			window.location.reload();
			},
			
			helpers   : {
			  overlay : { closeClick: false }
			},
			keys : {
			  close : null
			}			

			});
			
			/*
			 *  Different effects
			 */

			// Change title type, overlay closing speed
			$(".fancybox-effects-a").fancybox({
				helpers: {
					title : {
						type : 'outside'
					},
					overlay : {
						speedOut : 0
					}
				}
			});

			// Disable opening and closing animations, change title type
			$(".fancybox-effects-b").fancybox({
				openEffect  : 'none',
				closeEffect	: 'none',

				helpers : {
					title : {
						type : 'over'
					}
				}
			});

			// Set custom style, close if clicked, change title type and overlay color
			$(".fancybox-effects-c").fancybox({
				wrapCSS    : 'fancybox-custom',
				closeClick : true,

				openEffect : 'none',

				helpers : {
					title : {
						type : 'inside'
					},
					overlay : {
						css : {
							'background' : 'rgba(238,238,238,0.85)'
						}
					}
				}
			});

			// Remove padding, set opening and closing animations, close if clicked and disable overlay
			$(".fancybox-effects-d").fancybox({
				padding: 0,

				openEffect : 'elastic',
				openSpeed  : 150,

				closeEffect : 'elastic',
				closeSpeed  : 150,

				closeClick : true,

				helpers : {
					overlay : null
				}
			});

			/*
			 *  Button helper. Disable animations, hide close button, change title type and content
			 */

			$('.fancybox-buttons').fancybox({
				openEffect  : 'none',
				closeEffect : 'none',

				prevEffect : 'none',
				nextEffect : 'none',

				closeBtn  : false,

				helpers : {
					title : {
						type : 'inside'
					},
					buttons	: {}
				},

				afterLoad : function() {
					this.title = 'Image ' + (this.index + 1) + ' of ' + this.group.length + (this.title ? ' - ' + this.title : '');
				}
			});


			/*
			 *  Thumbnail helper. Disable animations, hide close button, arrows and slide to next gallery item if clicked
			 */

			$('.fancybox-thumbs').fancybox({
				prevEffect : 'none',
				nextEffect : 'none',

				closeBtn  : false,
				arrows    : false,
				nextClick : true,

				helpers : {
					thumbs : {
						width  : 50,
						height : 50
					}
				}
			});

			/*
			 *  Media helper. Group items, disable animations, hide arrows, enable media and button helpers.
			*/
			$('.fancybox-media')
				.attr('rel', 'media-gallery')
				.fancybox({
					openEffect : 'none',
					closeEffect : 'none',
					prevEffect : 'none',
					nextEffect : 'none',

					arrows : false,
					helpers : {
						media : {},
						buttons : {}
					}
				});

			/*
			 *  Open manually
			 */

			$("#fancybox-manual-a").click(function() {
				$.fancybox.open('1_b.jpg');
			});

			$("#fancybox-manual-b").click(function() {
				$.fancybox.open({
					href : 'iframe.html',
					type : 'iframe',
					padding : 5
				});
			});

			$("#fancybox-manual-c").click(function() {
				$.fancybox.open([
					{
						href : '1_b.jpg',
						title : 'My title'
					}, {
						href : '2_b.jpg',
						title : '2nd title'
					}, {
						href : '3_b.jpg'
					}
				], {
					helpers : {
						thumbs : {
							width: 75,
							height: 50
						}
					}
				});
			});


		});
	</script>
	<style type="text/css">
		.fancybox-custom .fancybox-skin {
			box-shadow: 0 0 50px #222;
		}
		.fancybox-wrap{
			top:80;
		}
	body {
	background-color: #F2F2F2;
}
    </style>         
<script>
//PRELOAD
$(window).on('load', function() { // makes sure the whole site is loaded 
  $('#status').fadeOut(); // will first fade out the loading animation 
  $('#preloader').delay(350).fadeOut('slow'); // will fade out the white DIV that covers the website. 
  $('body').delay(350).css({'overflow':'visible'});
})    
</script>
<script type="text/javascript">
		function findCEP() {
		    if($.trim($("#cep").val()) != ""){
		        $("#ajax-loading").css('display','inline');
				
		        $.getScript("http://cep.republicavirtual.com.br/web_cep.php?formato=javascript&cep="+$("#cep").val().replace("-", ""), function(){
		            if(resultadoCEP["resultado"] == 1){
		                $("#rua").val(unescape(resultadoCEP["tipo_logradouro"])+" "+unescape(resultadoCEP["logradouro"]));
		                $("#bairro").val(unescape(resultadoCEP["bairro"]));
		                $("#cidade").val(unescape(resultadoCEP["cidade"]));
		                $("#uf").val(unescape(resultadoCEP["uf"]));
		                $("#num").focus();
		            }else{
		                alert("CEP não localizado, digite o endereço.");
		            }
		            $("#ajax-loading").hide();
		        	});
		    	}
		}
</script>
<meta charset="utf-8">
</head>
<body>
<!-- Preloader -->
<div id="preloader">
  <div id="status">&nbsp;</div>
</div>

<?php if($_GET['Aviso'] == "Sair"){ ?>
<div class="window" style=" background-color: #FFFFFF; width: 300px; height: 150px; top:50%; margin-top:-75px; left:50%; margin-left:-150px; display: flex; border:#C0C0C0 solid 1px;">
<table width="100%" height="100%">
	<tr>
	  <td colspan="2" align="center" valign="center" class="TextoCinzaEscuro">Realmente deseja sair do sistema?
</td>
    </tr>
	<tr>
    	<td align="center" valign="center" class="TextoCinzaEscuro">
        
        <table width="100" border="0" align="center" cellpadding="2" cellspacing="0" onClick="location.href='index.php';" class="BoxMenuBranco">
    	  <tr>
    	    <td height="25" align="center" class="TextoCinzaEscuro" ><strong>NÃO</strong></td>
  	    </tr>
  	  </table>
      
      </td>
    	<td align="center" valign="center" class="TextoCinzaEscuro"><table width="100" border="0" align="center" cellpadding="2" cellspacing="0" onClick="location.href='login.php?logoff=sim';" class="BoxMenuVermelho">
    	  <tr>
    	    <td height="25" align="center" class="TextoCinzaEscuro" style="color:#FFFFFF" ><strong>SAIR</strong></td>
  	    </tr>
  	  </table></td>
    </tr>
</table> 
</div>
<?php }?>

<?php if($_GET['Agenda'] == "Vazia"){ ?>
<div class="window" style=" background-color: #FFFFFF; width: 300px; height: 150px; top:50%; margin-top:-75px; left:50%; margin-left:-150px; display: flex; border:#C0C0C0 solid 1px;">
<table width="100%" height="100%">
	<tr>
	  <td height="20" align="center" valign="center" class="TextoCinzaEscuro">&nbsp;</td>
	  <td align="right" valign="center" class="TextoCinzaEscuro"><a href="index.php"><img src="img/icone_excluir.gif" width="24" height="24" alt="" border="0"></a></td>
    </tr>
	<tr>
	  <td colspan="2" align="center" valign="center" class="TextoCinzaEscuro"><strong>Não existem reuniões ou atividades agendadas para esta data. </strong></td>
    </tr>
</table> 
</div>
<?php }?>

<table width="100%" border="0" cellspacing="3" cellpadding="0" height="100%">
  <tr id="ocultar_impressao">
    <td height="60" colspan="2" align="right" valign="middle" class="TextoCinzaGrande" style="padding-right: 20px; height:30px; line-height: 15px;"><?php echo $_SESSION['usuarioNome'];?> - <?php echo $NomeFilial;?> <span class="TextoVerde" style="color:#D32326; margin: 5px;"><a href="index.php?Aviso=Sair" style="color:#D32326;">SAIR</a></span></td>
  </tr>
  <tr id="ocultar_impressao">
    <td height="100" colspan="2" align="right" valign="top" bgcolor="#FFFFFF" style="height:90px; padding-top:30px"><a href="index.php"><img src="img/logobranco.fw.png" width="384" height="70"></a></td>
  </tr>
  <tr>
    <td width="220" valign="top" bgcolor="#D9D9D9" id="ocultar_impressao">
    <table border="0" align="center" cellpadding="0" cellspacing="0" style="width:200px;" id="ocultar_impressao">
      <tr>
        <td width="231" colspan="2">
        <?php
		// MENU ativo
		
		$endereco_atual = $_SERVER ['REQUEST_URI'];
		
		
		//HOME		
		//AGENDA
		
		if (strpos($endereco_atual, 'agenda') !== false) {
			$AtivoAgenda	= "active";
		}else{		

		if (strpos($endereco_atual, 'home') !== false or $endereco_atual == "/index.php") {
			$AtivoHome	= "active";
		}
		
		if (strpos($endereco_atual, 'filtro') !== false or $endereco_atual == "/index.php") {
			$AtivoHome	= "active";
		}
		
		}
		
		//ADMINISTRATIVO		

		if (strpos($endereco_atual, 'administrativo') !== false) {
			$AtivoAdm	= "active";
		}		

		if (strpos($endereco_atual, 'clientes') !== false) {
			$AtivoAdm	= "active";
		}
		
		if (strpos($endereco_atual, 'fornecedores') !== false) {
			$AtivoAdm	= "active";
		}				
		
		if (strpos($endereco_atual, 'usuarios') !== false) {
			$AtivoAdm	= "active";
		}						
		
		if (strpos($endereco_atual, 'maodeobra') !== false) {
			$AtivoAdm	= "active";
		}	
		
		//OPERACIONAL
		
		if (strpos($endereco_atual, 'operacional') !== false) {
			$AtivoOperacional	= "active";
		}				
		
		//COMPRAS
		

		if (strpos($endereco_atual, 'servicos') !== false) {
			$AtivoOp	= "active";
		}
		
		if (strpos($endereco_atual, 'produtos') !== false) {
			$AtivoOp	= "active";
		}				
		
		if (strpos($endereco_atual, 'compras') !== false) {
			$AtivoOp	= "active";
		}						
		
		if (strpos($endereco_atual, 'obras') !== false) {
			$AtivoOp	= "active";
		}
		
		//COMERCIAL		
		

		if (strpos($endereco_atual, 'atendimentos') !== false) {
			$AtivoCom	= "active";
		}
		
		if (strpos($endereco_atual, 'comercial') !== false) {
			$AtivoCom	= "active";
		}		
		
		if (strpos($endereco_atual, 'vendas') !== false) {
			$AtivoCom	= "active";
		}	
		
		//FINANCEIRO		
		

		if (strpos($endereco_atual, 'contas') !== false) {
			$AtivoFin	= "active";
		}
		
		if (strpos($endereco_atual, 'fluxo') !== false) {
			$AtivoFin	= "active";
		}						
		
		if (strpos($endereco_atual, 'pagamentos') !== false) {
			$AtivoFin	= "active";
		}								
		
		
		//FINANCEIRO		
		

		if (strpos($endereco_atual, 'logistica') !== false) {
			$AtivoLog	= "active";
		}
		
		//PRODUTOS		
		

		if (strpos($endereco_atual, 'listar_produtos') !== false) {
			$AtivoProdutos	= "active";
		}	
		
		if (strpos($endereco_atual, 'manutencao_produtos') !== false) {
			$AtivoProdutos	= "active";
		}	
		
		//RECEPÇÃO		
		

		if (strpos($endereco_atual, 'recepcao') !== false) {
			$AtivoRecepcao	= "active";
		}
		
		//REEMBOLSOS		
		

		if (strpos($endereco_atual, 'reembolsos') !== false) {
			$AtivoReembolso	= "active";
		}			


		//RELATÓRIOS		
		

		if (strpos($endereco_atual, 'relatorio_obras') !== false) {
			$AtivoRelatorios	= "active";
		}	

		
		//CONFIGURAÇÃO		
		

		if (strpos($endereco_atual, 'impostos') !== false) {
			$AtivoConfig	= "active";
		}			
		
		if (strpos($endereco_atual, 'centrocusto') !== false) {
			$AtivoConfig	= "active";
		}
		
		if (strpos($endereco_atual, 'configuracao') !== false) {
			$AtivoConfig	= "active";
		}							
		
		
		?>
        
        
        <div id='cssmenu'>
          <ul>
            <li class="<?php echo $AtivoHome;?>"><a href='index.php'><span style="text-shadow:none;">HOME</span></a></li>
            
            <!--NOVA ESTRUTURA DE MENU POR CARGO -->
			<?php
			$SelecionaMenuCargo = Seleciona("cargos_menu", "WHERE idcargo='".$_SESSION['cargo']."'", "ORDER BY menu ASC");
			$TotalMenu = mysql_num_rows($SelecionaMenuCargo);
			
			while($menu_cargo = mysql_fetch_array($SelecionaMenuCargo)){
			
			if($menu_cargo['class'] == "AtivoAgenda"){
				$Ativo = $AtivoAgenda;
			}
			
			if($menu_cargo['class'] == "AtivoAdm"){
				$Ativo = $AtivoAdm;
			}	
			
			if($menu_cargo['class'] == "AtivoOperacional"){
				$Ativo = $AtivoOperacional;
			}				

			if($menu_cargo['class'] == "AtivoOp"){
				$Ativo = $AtivoOp;
			}						

			if($menu_cargo['class'] == "AtivoCom"){
				$Ativo = $AtivoCom;
			}	
			
			if($menu_cargo['class'] == "AtivoFin"){
				$Ativo = $AtivoFin;
			}				
						
			if($menu_cargo['class'] == "AtivoLog"){
				$Ativo = $AtivoLog;
			}	

			if($menu_cargo['class'] == "AtivoConfig"){
				$Ativo = $AtivoConfig;
			}
			
			if($menu_cargo['class'] == "AtivoRecepcao"){
				$Ativo = $AtivoRecepcao;
			}							
			
			if($menu_cargo['class'] == "AtivoReembolso"){
				$Ativo = $AtivoReembolso;
			}										
					
			?>            
            <li class="<?php echo $Ativo;?>"><a href='<?php echo $menu_cargo['url'];?>'><span style="text-shadow:none;"><?php echo $menu_cargo['menu'];?></span></a></li>  
            <?php 
			$Ativo = "";
			}?>
            <!-- FIM ESTRUTURA MENU POR CARGO -->
            <?php if($_SESSION['master'] == "sim"){ ?>
            <li class='has-sub <?php echo $AtivoRelatorios;?>' ><a href='#'><span style="text-shadow:none;">RELATÓRIOS</span></a>  
            <?php }?>
            <ul>
            <!--<li><a href='relatorio_comercial_lista.php' target="_blank"><span>COMERCIAL</span></a></li>
            
            <li><a href='relatorio_clientes.php' target="_blank"><span>CLIENTES</span></a></li>
            <li><a href='index.php?pagina=relatorio_obras.php'><span>OBRAS</span></a></li>-->
            </ul>
            </li>          
            </ul>
          </div></td>
      </tr>
    </table></td>
    <td valign="top" bgcolor="#F2F2F2" id="conteudo" style="border-bottom: 1px #AFAFAF solid;"><div id="printable"><?php require_once($pagina);?></div></td>
  </tr>
</table>
<!-- AVISOS SISTEMA -->
<?php if($Aviso == "Sim"){ 
?>

<script type="text/javascript">
$(document).ready(function () {
        $.fancybox({
            'width': '40%',
            'height': '40%',
            'autoScale': true,
            'transitionIn': 'fade',
            'transitionOut': 'fade',
            'type': 'iframe',
            'href': 'listar_avisos.php?idusuario=<?php echo $_SESSION['usuarioID'];?>&cargo=<?php echo $_SESSION['cargo'];?>'
        });
});
</script>

<a class="fancybox fancybox.iframe" href="https://maxlayouts.minhaempresa.online" id="hidden_link" style="display:none"></a>
<?php }?>

<!-- MASCARAS SISTEMA -->
<script src="js/jquery.mascara.js"></script>      
<script>
jQuery(function($){
   $("#cnpj").mask("99.999.999/9999-99");
   $("#cpf").mask("999.999.999-99");
   $("#cep").mask("99999-999");
});
</script>


<!-- DATATABLE TESTE -->
<script type="text/javascript" src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script> 
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" type="text/css" />

<link href="https://cdn.datatables.net/buttons/1.2.2/css/buttons.dataTables.min.css" rel="stylesheet" type="text/css" />

<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js" type="text/javascript"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/dataTables.buttons.min.js" type="text/javascript"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.flash.min.js" type="text/javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/2.5.0/jszip.min.js" type="text/javascript"></script>
<script src="https://cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/pdfmake.min.js" type="text/javascript"></script>
<script src="https://cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/vfs_fonts.js" type="text/javascript"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.html5.min.js" type="text/javascript"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.print.min.js" type="text/javascript"></script>

<script>
$(document).ready(function() {
    $('#tabela_padrao').DataTable( {
    
        "bSort": false,
		responsive: true,          
        dom: 'lBfrtip',
        buttons: [
            'excel', 'pdf'
        ],        
        
        "lengthChange": true,
        
        "order": [[ 0, "desc" ]],
        
        "language":{            
            "emptyTable":     "Nenhum registro cadastrado",
            "info": "Exibindo _PAGE_ de _PAGES_",
            "infoEmpty": "Nenhum registro listado",
            "infoFiltered": "(filtro de _MAX_ total de registro)",            
            "thousands":      ",",
            "lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
            "loadingRecords": "Carregando...",
            "processing":     "Processando...",
            "search":         "Filtrar tabela:",
            "zeroRecords": "Desculpe nenhum registro não encontrado",
            "paginate": {
                "first":      "Primeiro",
                "last":       "Ultimo",
                "next":       "Próximo",
                "previous":   "Anterior"
            },
            "aria": {
                "sortAscending":  ": Ativo Filtro ASC",
                "sortDescending": ": Ativo Filtro DESC"
            }
        }        
        
    } );

    $('#tabela_obra').DataTable( {
    
                        
        dom: 'lBfrtip',
        buttons: [
            'excel', 'pdf'
        ],        
        
        "lengthChange": true,
		"pageLength": 50,
        
        "order": [[ 0, "asc" ]],
        
        "language":{            
            "emptyTable":     "Nenhum registro cadastrado",
            "info": "Exibindo _PAGE_ de _PAGES_",
            "infoEmpty": "Nenhum registro listado",
            "infoFiltered": "(filtro de _MAX_ total de registro)",            
            "thousands":      ",",
            "lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
            "loadingRecords": "Carregando...",
            "processing":     "Processando...",
            "search":         "Filtrar tabela:",
            "zeroRecords": "Desculpe nenhum registro não encontrado",
            "paginate": {
                "first":      "Primeiro",
                "last":       "Ultimo",
                "next":       "Próximo",
                "previous":   "Anterior"
            },
            "aria": {
                "sortAscending":  ": Ativo Filtro ASC",
                "sortDescending": ": Ativo Filtro DESC"
            }
        }        
        
    } );


    $('#tabela_venda').DataTable( {
    
                        
        dom: 'lBfrtip',
        buttons: [
            'excel', 'pdf'
        ],        
        
        "lengthChange": true,
        
        "order": [[ 8, "desc" ]],
        
        "language":{            
            "emptyTable":     "Nenhum registro cadastrado",
            "info": "Exibindo _PAGE_ de _PAGES_",
            "infoEmpty": "Nenhum registro listado",
            "infoFiltered": "(filtro de _MAX_ total de registro)",            
            "thousands":      ",",
            "lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
            "loadingRecords": "Carregando...",
            "processing":     "Processando...",
            "search":         "Filtrar tabela:",
            "zeroRecords": "Desculpe nenhum registro não encontrado",
            "paginate": {
                "first":      "Primeiro",
                "last":       "Ultimo",
                "next":       "Próximo",
                "previous":   "Anterior"
            },
            "aria": {
                "sortAscending":  ": Ativo Filtro ASC",
                "sortDescending": ": Ativo Filtro DESC"
            }
        }        
        
    } );


} );
</script> 

<!--CEP -->
    <!-- Adicionando Javascript -->
    <script type="text/javascript" >

        $(document).ready(function() {

            function limpa_formulário_cep() {
                // Limpa valores do formulário de cep.
                $("#rua").val("");
                $("#bairro").val("");
                $("#cidade").val("");
                $("#uf").val("");
            }
            
            //Quando o campo cep perde o foco.
            $("#cep").blur(function() {

                //Nova variável "cep" somente com dígitos.
                var cep = $(this).val().replace(/\D/g, '');

                //Verifica se campo cep possui valor informado.
                if (cep != "") {

                    //Expressão regular para validar o CEP.
                    var validacep = /^[0-9]{8}$/;

                    //Valida o formato do CEP.
                    if(validacep.test(cep)) {

                        //Preenche os campos com "..." enquanto consulta webservice.
                        $("#rua").val("...");
                        $("#bairro").val("...");
                        $("#cidade").val("...");
                        $("#uf").val("...");

                        //Consulta o webservice viacep.com.br/
                        $.getJSON("//viacep.com.br/ws/"+ cep +"/json/?callback=?", function(dados) {

                            if (!("erro" in dados)) {
                                //Atualiza os campos com os valores da consulta.
                                $("#rua").val(dados.logradouro);
                                $("#bairro").val(dados.bairro);
                                $("#cidade").val(dados.localidade);
                                $("#uf").val(dados.uf);
                            } //end if.
                            else {
                                //CEP pesquisado não foi encontrado.
                                limpa_formulário_cep();
                                alert("CEP não encontrado.");
                            }
                        });
                    } //end if.
                    else {
                        //cep é inválido.
                        limpa_formulário_cep();
                        alert("Formato de CEP inválido.");
                    }
                } //end if.
                else {
                    //cep sem valor, limpa formulário.
                    limpa_formulário_cep();
                }
            });
        });

    </script>
</body>
</html>